/*!
 \file  includes.h
 \brief This file contains header includes for the whole program

 \author David C. Anastasiu
 */

#ifndef _L2KNNG_INCLUDES_
#define _L2KNNG_INCLUDES_

/*************************************************************************
* Header file inclusion section
**************************************************************************/
#include <stddef.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdarg.h>
#include <stdio.h>
#include <errno.h>
#include <ctype.h>
#include <math.h>
#include <float.h>
#include <time.h>
#include <string.h>
#include <limits.h>
#include <signal.h>
#include <setjmp.h>
#include <assert.h>
#include <inttypes.h>
#include <sys/resource.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <omp.h>
#include <execinfo.h>
#include <stdbool.h>

#include "bitarr.h"
#include "basetypes.h"
#include "macros.h"
#include "defs.h"
#include "memory.h"
#include "struct.h"
#include "timer.h"
#include "bkheap.h"
#include "da_mksort.h"
#include "da_mkrandom.h"
#include "da_mkmemory.h"
#include "da_mkblas.h"
#include "da_mkpqueue.h"
#include "bitarr.h"
#include "da_getopt.h"
#include "proto.h"


#endif
